<?
/*=====================#
echo '<div class="event"><h1>Ждите, проходит тест</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo 'Несколько минут'."\n";
echo '</div></div>'."\n";
include_once 'inc/foot.php';
exit;
#=====================*/
if(mysql_result(mysql_querll("SELECT COUNT(`id`) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]'"),0)<4){
mysql_querll("INSERT INTO `kolhoz_ground_f` SET `id_user` = '$ku[id]', `cultivator` = '1'");
mysql_querll("INSERT INTO `kolhoz_ground_f` SET `id_user` = '$ku[id]', `cultivator` = '1'");
mysql_querll("INSERT INTO `kolhoz_ground_f` SET `id_user` = '$ku[id]', `cultivator` = '1'");
mysql_querll("INSERT INTO `kolhoz_ground_f` SET `id_user` = '$ku[id]', `cultivator` = '1'");
}

if($ku['level']<2)
{
echo "<div class='content'>";echo "<div class='block'>";echo'<img src="images/smiles/owibochka.gif" alt="*"></img>Пруды доступны со 2-го уровня!';
include_once 'inc/foot.php';
echo "</div></div>";
exit;
}
if(isset($_GET['f_myfarm']) && $_GET['f_myfarm']=='sv')
{
mysql_querll("UPDATE `kolhoz_user` SET `sv` = '1' WHERE `id` = '$ku[id]'");
header("Location:?f_myfarm");
}
if(isset($_GET['f_myfarm']) && $_GET['f_myfarm']=='rv')
{
mysql_querll("UPDATE `kolhoz_user` SET `sv` = '0' WHERE `id` = '$ku[id]'");
header("Location:?f_myfarm");
}
include_once 'inc/f_myfarm/change_plant.php';
include_once 'inc/f_myfarm/change_soil.php';
include_once 'inc/f_myfarm/cultivator_all.php';
include_once 'inc/f_myfarm/cultivator.php';
include_once 'inc/f_myfarm/harvest_all.php';
include_once 'inc/f_myfarm/harvest.php';
include_once 'inc/f_myfarm/seat_all.php';
include_once 'inc/f_myfarm/seat.php';
include_once 'inc/f_myfarm/soil_all.php';
include_once 'inc/f_myfarm/soil.php';
include_once 'inc/f_myfarm/water_all.php';
include_once 'inc/f_myfarm/water.php';
include_once 'inc/f_myfarm/clean_grounds.php';
include_once 'inc/f_myfarm/new_ground.php';
echo "<div class='event'><h1>Пруды</h1></div>";
if(isset($_SESSION['cp']))
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Бесплатная очистка прудов будет доступна через ".time_left($ku['time_cp']-$time)."</span></li></ul></div>";
unset($_SESSION['cp']);
}
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div><img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='?f_myfarm&reflesh=".rand(99999,99999999)."'>Обновить</a></div>";

if($ku['hydropinics_time']>$time)echo "<li><img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a><span class='minor'> $ku[hydropinics_type]% на <span>".time_left($ku['hydropinics_time']-$time)."</span></span></li>";
if($ku['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ku['scarecrow_time']-$time)."</span></span></li>";
if($ku['gruz_time']>$time)echo "<li><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a class='epic' href='?shop=gruz'>Погрузчик</a><span class='minor'> на <span>".time_left($ku['gruz_time']-$time)."</span></span></li>";
if($ku['time_shmel']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='?shop=helicopter&1'>Шмель</a><span class='minor'> на <span>".time_left($ku['time_shmel']-$time)."</span></span></li>";
if($ku['time_yastreb']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='?shop=helicopter&2'>Ястреб</a><span class='minor'> на <span>".time_left($ku['time_yastreb']-$time)."</span></span></li>";
if($ku['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='?shop=helicopter&3'>Дракон</a><span class='minor'> на <span>".time_left($ku['time_drakon']-$time)."</span></span></li>";

if($ku['garden_time']>$time)echo "<li><img width='16' height='16' alt='' src='images/icons/gardener".$ku[gardener].".png'> <a class='epic' href='?shop=gardener&id=".$ku[gardener]."'>Садовник ".$name."</a><span class='minor'> на <span>".time_left($ku['garden_time']-$time)."</span></span></li>";
//массовые действия
if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'"),0)!=0 && $ku['harvester_f']>0)echo "<div><img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='?f_myfarm&harvest_all'>Выловить всех</a></div>";

if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'"),0)!=0 && $ku['soiler_f']>0)echo "<div><img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='?f_myfarm&soil_all'>Подкормить всех</a></div>";

if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')"),0)!=0 && $ku['irregate_f']>0)echo "<div><img width='16' height='16' src='images/icons/water.png' alt='o'> <a href='?f_myfarm&water_all'>Аэрозировать все</a></div>";

if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['seeder_f']>0)echo "<div><img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='?f_myfarm&seat_all'>Запустить всех</a></div>";

if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0 && $ku['cultivator_f']>0)echo "<div><img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='?f_myfarm&cultivator_all'>Очистить все</a></div>";
if($ku['sv']==0)echo "<img width='16' height='16' src='images/icons/down.png' alt='o'> <a href='?f_myfarm=sv'>Свернуть</a><br>";
if($ku['sv']==1)echo "<img width='16' height='16' src='images/icons/up.png' alt='o'> <a href='?f_myfarm=rv'>Развернуть</a><br>";
echo "<ul>";
if($ku['sv']==1){
$q=mysql_querll("SELECT * FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' LIMIT 1");
}else{
$q=mysql_querll("SELECT * FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]'");
}

while($post=mysql_fetch_array($q))
{
if($post['id_plant']!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"),0)!=0)$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant)?"".($post['cultivator']==1?"images/fish/ozero_chist.png":"images/fish/ozero_durty.png")."":"images/fish/$plant[id].png")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant)?"<span class='title'>".($post['cultivator']==1?"Чистый пруд":"Грязный пруд")."</span>":"<span  class='title'>".hsc($plant['name'])."</span>".($post['time']>$time?"<span class='small minor'> (Вылов через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
echo "</div>";
echo "<div>";
if(isset($plant))
{
if($post['time']<=$time)
{
echo "<img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='?f_myfarm&harvest=$post[id]'>Выловить рыбу</a>";
}
else
{
if($ku['last_soil_f']!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_korm` WHERE `id` = '$ku[last_soil_f]'"),0)!=0)$ls=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_korm` WHERE `id` = '$ku[last_soil_f]'"));
echo "<div class='small minor'>".($post['time_soil']<=$time && $post['soil']==0 && $post['time']>$time?"<img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> ".(isset($ls)?"<a href='?f_myfarm&soil=$post[id]&select=$ls[id]'>Применить
<span>".hsc($ls['name'])."</span></a>, <a href='?f_myfarm&soil=$post[id]'><span>выбрать
корм</span></a>":"<a href='?f_myfarm&soil=$post[id]'>Подкормить</a>")."":"".($post['soil']==0 && $post['time']>$time?"Подкормить через ".time_left($post['time_soil']-$time)."":null)."")."</div>";
echo "<div class='small minor'>".($post['time_water']>$time && $post['time']>$time?"Аэрозия через ".time_left($post['time_water']-$time)."":"".($post['time']>$time?"".($post['soil']==0 && $post['time_soil']>$time || $post['soil']==1?"<img alt='' width='16' height='16' src='images/icons/water.png'> <a href='?f_myfarm&water=$post[id]'>Аэрозировать</a>":null)."":null)."")."</div>";
}
}
else
{
echo "<span>";
if($ku['last_plant_f']!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$ku[last_plant_f]'"),0)!=0)$lp=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$ku[last_plant_f]'"));
echo "".($post['cultivator']==1?"<img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> ".(isset($lp)?"<a href='?f_myfarm&seat=$post[id]&select=$lp[id]'>Запустить <span>".hsc($lp['name'])."</span></a>, <a href='?f_myfarm&seat=$post[id]'><span>выбрать малька</span></a>":"<a href='?f_myfarm&seat=$post[id]'>Запустить</a>")."":"<img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='?f_myfarm&cultivator=$post[id]'><span style='title'>Очистить</span></a>")."";
echo "</span>";
}
if(isset($plant))unset($plant);
echo "</div><div style='clear:both'></div></li>";
}



if(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]'"),0)<200)echo "<li><img width='48' height='48' src='images/fish/ozero_chist.png' alt='o' class='portrait'><div><span class='title'>Новый пруд</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?f_myfarm&new_ground'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>".cpg(mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";
//echo "</ul>";
if($ku['last_plant_f']!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$ku[last_plant_f]'"),0)!=0)$lp=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$ku[last_plant_f]'"));

if($ku['last_soil_f']!=0 && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_korm` WHERE `id` = '$ku[last_soil_f]'"),0)!=0)$ls=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_korm` WHERE `id` = '$ku[last_soil_f]'"));

echo "<ul class='ptm'><li><img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='?f_myfarm&change_plant'>Сменить мальков</a>: <span>".(isset($lp)?"".hsc($lp['name'])."":"-")."</span></li>";

echo "<li><img width='16' height='16' src='images/fish/feed_feesh.png' alt='o'> <a href='?f_myfarm&change_soil'>Сменить корм</a>: <span>".(isset($ls)?"".hsc($ls['name'])."":"-")."</span></li>";
echo "".($ku['time_cp']>$time?"<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> До бесплатной очистки: <span>".time_left($ku['time_cp']-$time)."</span></li><li><span><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?f_myfarm&clean_grounds'><span>Очистить пруды</span></a>(<span>Стоимость</span>: <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span
class='title'>".($ku['count_cp']*10)."</span></span>)</span></li>":"<li><img width='16' height='16' src='images/fish/sc-clr-ll.png' alt='o'> <a href='?f_myfarm&clean_grounds'>Очистить пруды</a></li>")."</ul>";
if(isset($mc))echo "<li><img width='16' height='16' src='images/icons/heli4n.png' alt='o'> <a href='?collective=$mc[id]&hangar'>Вызвать вертолет</a></li>";
echo '</ul>';
include_once 'inc/foot.php';
?>